HELP2MAN(1)

NAMN
help2man - generera en enkel manualsida

BESKRIVNING
`help2man' generates a man page out of `--help' and `--version' output.

Usage: help2man [OPTION]... EXECUTABLE

-n, --name=STRING
    description for the NAME paragraph

-s, --section=SECTION
    section number for manual page (1, 6, 8)

-m, --manual=TEXT
    name of manual (User Commands, ...)

-S, --source=TEXT
    source of program (FSF, Debian, ...)

-L, --locale=STRING
    select locale (default "C")

-i, --include=FILE
    include material from `FILE'

-I, --opt-include=FILE
    include material from `FILE' if it exists

-o, --output=FILE
    send output to `FILE'

-p, --info-page=TEXT
    name of Texinfo manual

-N, --no-info
    suppress pointer to Texinfo manual

-l, --libtool
    exclude the `lt-' from the program name

--help
    print this help, then exit

--version
    print version number, then exit

EXECUTABLE should accept `--help' and `--version' options and produce output on stdout although alternatives may be specified using:

-h, --help-option=STRING
    help option string

-v, --version-option=STRING
    version option string

--version-string=STRING
    version string

--no-discard-stderr
    include stderr when parsing option output

INKLUDERA FILER
Ytterligare material kan inkluderas i den genererade utskriften med flaggorna --include och --opt-include Formatet är enkelt:
    [sektion]
    text
    /mönster/
    text Block av *roff-text infogas ord för ord i utskriften antingen vid början av angiven [section] (okänslig för skiftläge), eller efter en paragraf som matchar /mönster/. Mönster använder Perls syntax för reguljära uttryck och kan efterföljas av modifierarna i, s eller m (se perlre(1)). Rader före den första sektionen eller mönstret som börjar med "-" behandlas som flaggor. Allt annat ignoreras tyst och kan användas för kommentarer, RCS-nyckelord och liknande. Ordning på sektionsutskriften är:
    NAMN
    SYNOPSIS
    BESKRIVNING
    FLAGGOR
    ENVIRONMENT
    FILES
    EXEMPEL
    övrigt
    UPPHOVSMAN
    RAPPORTERA FEL
    COPYRIGHT
    SE OCKSÅ Alla sektioner [namn] eller [synopsis] som visas i inkluderingsfilen kommer att ersätta vad som skulle automatiskt bli producerat (även om du fortfarande kan åsidosätta de senare med --name om det krävs). Andra sektioner läggs till i början av den automatiskt producerade utskriften för standardsektionerna angivna ovan, eller inkluderas vid övrigt (ovan) i den ordning de påträffades i inkluderingsfilen. Placement of the text within the section may be explicitly requested by using the syntax [<section], [=section] or [>section] to place the additional text before, in place of, or after the default output respectively.

TILLGÄNGLIGHET
Senaste versionen av den här utgåvan finns tillgänglig online från:
    ftp://ftp.gnu.org/gnu/help2man/

UPPHOVSMAN
Skrivet av Brendan O'Dea <bod@debian.org>

RAPPORTERA FEL
Report bugs to <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Free Software Foundation, Inc.
Det här är fri programvara; se källkoden för kopieringsvillkor. Det finns INGEN garanti; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR SPECIELLT ÄNDAMÅL.

SE OCKSÅ
Den fullständiga dokumentationen för help2man underhålls som en Texinfo-manual. Om den info och B. help2man programmen är ordentligt installerade på ditt system, kommandot

    information help2man

bör ge dig tillgång till den kompletta manualen.